. loops checked for PID_FREE
  . exit broken down in exit and cleanup functions; when reboot happens,
    cleanup is done but not exit (as processes have not actually exited),
    this keeps drivers working
  . fixed a few uninitialized and unused variables

scripts:
  . new packaging system
This commit is contained in:
Ben Gras
2006-03-15 15:34:12 +00:00
parent 7879c008ae
commit ff67776995
13 changed files with 99 additions and 82 deletions

View File

@@ -4,6 +4,8 @@ set -e
RC=/usr/etc/rc.package
CDDIR=PACKAGES
MP=/mnt
CDPACK=${MP}/install/packages
if [ -f "$RC" ]
then . "$RC"
@@ -12,13 +14,23 @@ fi
cd /
if [ -n "$cddrive" ]
then for package in `isodir "$cddrive" $CDDIR | grep -i '\.tbz'`
do echo -n "Install $package (y/N) ? "
read y
if [ "$y" = y -o "$y" = Y ]
then echo "Extracting $CDDIR/$package .."
isoread "$cddrive" $CDDIR/$package | packit -
fi
done
then pack=${cddrive}p2
umount $pack >/dev/null 2>&1 || true
if mount $pack $MP
then
cd $CDPACK
for package in `ls *.tar.bz`
do echo $package
grep $package List
echo -n "Install $package (y/N) ? "
read y
if [ "$y" = y -o "$y" = Y ]
then echo "Extracting $CDPACK/$package .."
cat $package | packit -
fi
done
else echo "CD mount failed - skipping CD packages."
fi
else echo "Don't know where the install CD is.
fi

View File

@@ -555,8 +555,8 @@ mount /dev/$usr /mnt >/dev/null || exit # Mount the intended /usr.
(cd /usr || exit 1
if [ "$nobigsource" = 1 ]
then list="`ls | fgrep -v src.`"
else list="`ls`"
then list="`ls | fgrep -v src. | fgrep -v install`"
else list="`ls | fgrep -v install`"
fi
for d in $list
do